#
# spec file for package vdr-plugin-streamdev (Version 0.0_CVS20080716080048)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define pluginversion 20080716080048
%define pluginname streamdev
%define pluginurl http://streamdev.vdr-developer.org/
#
%define plugindir %pluginname-%pluginversion
%define plugintarball %pluginname-%pluginversion.tar.bz2
#
%define pkgversion 0.0_CVS%pluginversion

Name:           vdr-plugin-streamdev
Version:        %pkgversion
Release:        24.3
Source:         %plugintarball
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPL-2.0+
Group:          Hardware/TV
BuildRequires:  gcc-c++ vdr-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            %pluginurl
Patch0:         streamdev-Makefile.diff
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}
Conflicts:      vdr-plugins <= 0.5

%description

%vdrname %pluginname plugin
%prep 
%setup -q -n %plugindir
%patch0 -p1
chmod 644 streamdev/externremux.sh

%build
%vdr_make

%install
%vdr_install_plugin %pluginname-client
%vdr_install_plugin %pluginname-server
%vdr_install_plugin_locale
#
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc COPYING PROTOCOL README HISTORY streamdev/streamdevhosts.conf streamdev/externremux.sh
%{vdr_libdir}/*

%changelog
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jun  4 2009 lnussel@suse.de
- split vdr-plugin-streamdev off vdr-plugins
